Bug 1259893 - [abrt] kf5-kactivities: QHash<QPair<int, int>, QtPrivate::AbstractConverterFunction const*>::value(): kactivitymanagerd killed by SIGSEGV
[abrt] kf5-kactivities: QHash<QPair<int, int>, QtPrivate::AbstractConverterFu...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kactivities (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4a94ddae1e2568719652b5a945e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 14:10 EDT by Yonatan
Modified: 2016-12-20 09:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:33:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.03 KB, text/plain)
2015-09-03 14:11 EDT, Yonatan
no flags Details
File: cgroup (213 bytes, text/plain)
2015-09-03 14:11 EDT, Yonatan
no flags Details
File: core_backtrace (14.84 KB, text/plain)
2015-09-03 14:12 EDT, Yonatan
no flags Details
File: dso_list (6.30 KB, text/plain)
2015-09-03 14:12 EDT, Yonatan
no flags Details
File: environ (194 bytes, text/plain)
2015-09-03 14:12 EDT, Yonatan
no flags Details
File: exploitable (110 bytes, text/plain)
2015-09-03 14:12 EDT, Yonatan
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-03 14:12 EDT, Yonatan
no flags Details
File: maps (17.95 KB, text/plain)
2015-09-03 14:13 EDT, Yonatan
no flags Details
File: mountinfo (2.82 KB, text/plain)
2015-09-03 14:13 EDT, Yonatan
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-03 14:13 EDT, Yonatan
no flags Details
File: open_fds (776 bytes, text/plain)
2015-09-03 14:13 EDT, Yonatan
no flags Details
File: proc_pid_status (838 bytes, text/plain)
2015-09-03 14:13 EDT, Yonatan
no flags Details

  None (edit)
Description Yonatan 2015-09-03 14:10:59 EDT
Version-Release number of selected component:
kf5-kactivities-5.13.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd start-daemon
crash_function: QHash<QPair<int, int>, QtPrivate::AbstractConverterFunction const*>::value
executable:     /usr/bin/kactivitymanagerd
global_pid:     1340
kernel:         4.2.0-1.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHash<QPair<int, int>, QtPrivate::AbstractConverterFunction const*>::value at ../../src/corelib/tools/qhash.h:669
 #1 QMetaTypeFunctionRegistry<QtPrivate::AbstractConverterFunction, QPair<int, int> >::function at kernel/qmetatype.cpp:530
 #2 QMetaType::convert at kernel/qmetatype.cpp:711
 #3 (anonymous namespace)::customConvert at kernel/qvariant.cpp:1065
 #4 QVariant::convert at kernel/qvariant.cpp:3210
 #5 QtPrivate::QVariantValueHelper<QDBusSlotCache>::metaType at ../../src/corelib/kernel/qvariant.h:685
 #6 QtPrivate::MetaTypeInvoker<QtPrivate::QVariantValueHelper<QDBusSlotCache>, QVariant const&, QDBusSlotCache>::invoke at ../../src/corelib/kernel/qvariant.h:105
 #7 qvariant_cast<QDBusSlotCache> at ../../src/corelib/kernel/qvariant.h:820
 #8 QDBusConnectionPrivate::activateCall at qdbusintegrator.cpp:842
 #9 QDBusConnectionPrivate::activateObject at qdbusintegrator.cpp:1462
Comment 1 Yonatan 2015-09-03 14:11:43 EDT
Created attachment 1070026 [details]
File: backtrace
Comment 2 Yonatan 2015-09-03 14:11:46 EDT
Created attachment 1070027 [details]
File: cgroup
Comment 3 Yonatan 2015-09-03 14:12:12 EDT
Created attachment 1070028 [details]
File: core_backtrace
Comment 4 Yonatan 2015-09-03 14:12:30 EDT
Created attachment 1070029 [details]
File: dso_list
Comment 5 Yonatan 2015-09-03 14:12:34 EDT
Created attachment 1070030 [details]
File: environ
Comment 6 Yonatan 2015-09-03 14:12:39 EDT
Created attachment 1070031 [details]
File: exploitable
Comment 7 Yonatan 2015-09-03 14:12:46 EDT
Created attachment 1070032 [details]
File: limits
Comment 8 Yonatan 2015-09-03 14:13:35 EDT
Created attachment 1070033 [details]
File: maps
Comment 9 Yonatan 2015-09-03 14:13:44 EDT
Created attachment 1070034 [details]
File: mountinfo
Comment 10 Yonatan 2015-09-03 14:13:48 EDT
Created attachment 1070035 [details]
File: namespaces
Comment 11 Yonatan 2015-09-03 14:13:55 EDT
Created attachment 1070036 [details]
File: open_fds
Comment 12 Yonatan 2015-09-03 14:13:58 EDT
Created attachment 1070037 [details]
File: proc_pid_status
Comment 14 Fedora End Of Life 2016-11-24 07:27:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 09:33:54 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.